
#loader {
  display: none;
  top: 0;
  width: 100%;
  height: 100%;
  position: fixed;
  z-index: 9999;
  background-color: rgba(0, 0, 0, 0.25);
}

#loader.loading {
  display: block !important;
}

#loader ul {
  background: black;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

#loader ul li {
  list-style: none;
  position: absolute;
  top: -60px;
  bottom: -60px;
  left: -60px;
  right: -60px;
  border-radius: 50%;
  animation: animate 2s infinite linear;
}

#loader ul li:nth-of-type(1) {
  animation-duration: 1s;
}

#loader ul li:nth-of-type(2) {
  animation-duration: 1.5s;
}

#loader ul li:nth-of-type(3) {
  animation-duration: 2s;
}

#loader ul li::before {
  content: '';
  position: absolute;
  top: 0;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 15px;
  height: 15px;
  border-radius: 50%;
}

#loader ul li:nth-of-type(1)::before {
  background: #27ae60;
}

#loader ul li:nth-of-type(2)::before {
  background: #2980b9;
}

#loader ul li:nth-of-type(3)::before {
  background: #c0392b;
}

@keyframes animate {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.form-link-container {
  line-height: 38px;
}

.no-padding {
  padding-left: 0 !important;
  padding-right: 0 !important;
}

.btn-teacher {
  color: #1e7e34;
  border-color: #1e7e34;
}

.btn-student {
  color: #0062cc;
  border-color: #0062cc;
}

.btn-teacher:not(:disabled):not(.disabled):hover,
.btn-teacher:not(:disabled):not(.disabled).focus,
.btn-teacher:not(:disabled):not(.disabled).active {
  background-color: #1e7e34;
  color: #FFF;
}

.btn-student:not(:disabled):not(.disabled):hover,
.btn-student:not(:disabled):not(.disabled).focus,
.btn-student:not(:disabled):not(.disabled).active {
  background-color: #0062cc;
  color: #FFF;
}

.dont-have-acc {
  float: right;
}

.form-control.is-invalid + span .select2-selection {
  border-color: #dc3545 !important;
}

.custom-file.is-invalid + span.invalid-feedback {
  display: block !important;
}

.profile-user-img {
  width: 100px;
  height: 100px;
}

.widget-user-2 .widget-user-image > img {
  height: 65px;
}

//.form-inf-txt {
//  font-size: 10px;
//  color: rgba(237, 66, 66, 0.8);
//}
//
//.custom-file-label span {
//  font-size: 11px;
//}

/* for md */

.custom-switch.custom-switch-md .custom-control-label {
  padding-left: 2rem;
  padding-bottom: 1.5rem;
  cursor: pointer;
}

.custom-switch.custom-switch-md .custom-control-label::before {
  height: 1.5rem;
  width: calc(2rem + 0.75rem);
  border-radius: 3rem;
}

.custom-switch.custom-switch-md .custom-control-label::after {
  width: calc(1.5rem - 4px);
  height: calc(1.5rem - 4px);
  border-radius: calc(2rem - (1.5rem / 2));
}

.custom-switch.custom-switch-md .custom-control-input:checked ~ .custom-control-label::after {
  transform: translateX(calc(1.5rem - 0.25rem));
}

input[type=number].no-spinner::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type="number"].no-spinner {
  -moz-appearance: textfield;
}

.form-inline .form-check {
  padding-right: 15px;
  cursor: pointer;
}

.bootstrap-datetimepicker-widget {
  z-index: 9999;
}

.hideable-container.offline {
  display: none;
}

.action-column.module {
  width: 220px !important;
}

.action-column.sub-module {
  width: 180px !important;
}

#moduleTable .action-column {
  width: 250px !important;
}

@media screen and (max-width: 480px) {
  .hide-on-mobile {
    display: none;
  }
}

.module-content .info-box-number {
  height: 28px !important;
}

.module-content .info-box .progress {
  height: 8px !important;
  margin: 10px 0 0 0 !important;
}

.widget-user .widget-user-image > img {
  height: 90px;
}

.btn-container {
  padding-top: 15px;
}

.module-container .widget-user-username {
  font-size: 18px !important;
  background-color: rgba(0, 0, 0, 0.65);
  padding: 5px 8px;
  border: 1px solid #00000021;
  border-radius: 5px 5px 0 0;
  border-bottom: transparent;
}

.module-container .widget-user-desc {
  font-size: 14px !important;
  background-color: rgba(0, 0, 0, 0.65);
  padding: 3px 8px;
  border: 1px solid #00000021;
  border-top: transparent;
  border-radius: 0 0 5px 5px;
}

.module-container .ribbon-wrapper {
  right: 4px !important;
  top: -3px !important;
}

.module-container .module-type {
  position: absolute;
  top: 125px;
  left: 10px;
}

.module-container .module-status {
  position: absolute;
  top: 125px;
  right: 10px;
}

.widget-user .widget-user-header {
  background-size: cover !important;
  background-repeat: no-repeat !important;
}

.tutor-name {
  margin-top: -15px;
  margin-bottom: 10px;
  font-size: 15px;
}

.custom-back-btn {
  display: inline-block;
}

.no-module-text {
  color: #b8b8d7 !important;
}

.no-module-text i {
  font-size: 96px;
}

.no-module-text div:first-child {
  padding: 59px 0 0;
}

.no-module-text div:first-child a {
  display: block;
  color: #b8b8d7 !important;
}

.no-module-text div:last-child {
  padding: 0 0 58px;
}

.buttons-excel, .buttons-pdf {
  border-radius: .25rem !important;
  margin-right: 15px !important;
}

.form-group.required label:after {
  content: "*";
  color: red;
}

.dropdown-item.published {
  font-weight: bold
}

.notification-dropdown {
  min-width: 380px !important;
}

.notification-dropdown span i {
  margin-right: 5px;
  color: #ddd !important;
}

.sub-module-view .add-content,
.sub-module-view .card-header .badge,
.module-view .card-header .badge {
  float: right;
}

.payment-method-container .icheck-primary,
.payment-method-container .icheck-success {
  padding: 5px 0px 5px 30px;
}

#paypalContainer {
  display: none;
}

.module-url {
  cursor: pointer;
}

.module-url .input-group-text {
  border-radius: 0px !important;
}

.external-url a {
  width: 100%;
}

//
//.btn.btn-payhere {
//  padding: 0;
//  border-radius: 25px;
//  height: 50px;
//  width: 180px;
//  background-image: url("https://www.payhere.lk/downloads/images/pay_with_payhere_light.png");
//  background-position: center;
//  background-size: contain;
//  background-repeat: no-repeat;
//}
//
//.btn.btn-payhere:hover {
//  background-image: url("https://www.payhere.lk/downloads/images/pay_with_payhere.png");
//}

.btn-payhere {
  font-size: 13px;
  padding: 3px 12px;
  float: right;
}

.btn-payhere span {
  font-weight: 600;
  font-size: 20px;
  font-style: italic;
}

.btn-payhere .first {
  color: #2547D7;
}

.btn-payhere .second {
  color: #FCAC00;
}

.flex-container {
  display: flex;
  justify-content: space-between;
}

//Rating Style start
//.rating {
//  width: 208px;
//  height: 40px;
//  margin: 0 auto;
//  padding: 40px 50px;
//  border: 1px solid #CCCCCC;
//  background: #F9F9F9;
//}
//
//.rating label {
//  float: right;
//  position: relative;
//  width: 40px;
//  height: 40px;
//  cursor: pointer;
//}
//
//.rating label:not(:first-of-type) {
//  padding-right: 2px;
//}
//
//.rating label:before {
//  content: "★";
//  font-size: 42px;
//  color: #CCCCCC;
//  line-height: 1;
//}
//
//.rating input {
//  display: none;
//}
//
//.rating input:checked ~ label:before, .rating:not(:checked) > label:hover:before, .rating:not(:checked) > label:hover ~ label:before {
//  color: #F9DF4A;
//}
//
//.rating-container {
//  float: left;
//}
//
//.rating label::before {
//  font-size: 32px;
//}

.rating-ul {
  position: relative;
  margin: 0px;
  padding: 0 !important;
}

.rating-ul li {
  display: inline-block;
  margin: 0px;
  cursor: pointer;
  padding: 0 5px;
}

.rating-li i.fa.fa-star {
  font-size: 32px;
  color: #fff;
  text-shadow: -1px 0 #ffc107, 0 1px #ffc107, 1px 0 #ffc107, 0 -1px #ffc107;
}

.rating-li.on i.fa.fa-star {
  color: #ffc107;
  text-shadow: -1px 0 #ffc107, 0 1px #ffc107, 1px 0 #ffc107, 0 -1px #ffc107;
}

#addReviewLabel {
  margin: 0 auto;
}

#addReviewModal .popup-close-btn {
  position: absolute;
  right: 20px;
}

//Rating Style end

.tutor-image {
  margin-bottom: 15px;
}

.tutor-rating .fa-star {
  font-size: 20px !important;
}

.carousel-indicators.module-comments {
  position: relative !important;
}

.carousel {
  margin: 0 auto;
}

.carousel .item {
  color: #999;
  font-size: 14px;
  text-align: center;
  overflow: hidden;
}

.carousel .item a {
  color: #eb7245
}

.carousel .testimonial {
  padding: 10px 0 0;
  color: #333 !important;
}

.carousel .overview {
  text-align: center;
  padding-bottom: 5px
}

.carousel .overview b {
  color: #333;
  font-size: 15px;
  text-transform: uppercase;
  display: block;
  padding-bottom: 5px
}

.carousel .star-rating i {
  font-size: 18px;
  color: #ffdc12
}

.carousel .carousel-control {
  width: 30px;
  height: 30px;
  border-radius: 50%;
  background: #999;
  text-shadow: none;
  top: 4px
}

.carousel-control i {
  font-size: 20px;
  margin-right: 2px
}

.carousel-control.left {
  left: auto;
  right: 40px
}

.carousel-control.right i {
  margin-right: -2px
}

.carousel .carousel-indicators {
  bottom: 15px
}

.carousel-indicators li,
.carousel-indicators li.active {
  width: 11px;
  height: 11px;
  margin: 1px 5px;
  border-radius: 50%
}

.carousel-indicators li {
  background: #e2e2e2;
  border-color: transparent
}

.carousel-indicators li.active {
  border: none;
  background: #888
}

.status-icons {
  display: flex;
  padding: 0px 18px;
  border-radius: 5px !important;
  height: 22px;
  align-items: center;
}

.status-icons.marks {
  background-color: #28a745;
  color: #fff;
  font-weight: 600;
}

.status-icons.up-down {
  background-color: #ffc107;
  color: #3e3e3e;
  border-color: orange;
}

.manual-align {
  display: flex;
  justify-content: space-around;
  align-items: center;
  height: 31px;
}

.manual-align .content-status {
  height: 18px;
}

.table-input {
  width: 100px !important;
  height: 31px;
}

.flex-container.assignment-tbl {
  justify-content: space-around;
  align-items: center;
}

.assignment-tbl .btn {
  height: 31px;
}

.brand-link {
  width: 250px;
  height: 57px;
  margin-bottom: 3px !important;
}

.layout-navbar-fixed.layout-fixed .wrapper .sidebar {
  margin-top: 60px !important;
}

.sidebar {
  padding-top: 5px !important;
}